using System;
using UnityEngine;

namespace RenderHeads.Media.AVProVideo
{
	public interface IMediaInfo
	{
		float GetDurationMs();

		int GetVideoWidth();

		int GetVideoHeight();

		Rect GetCropRect();

		float GetVideoFrameRate();

		float GetVideoDisplayRate();

		bool HasVideo();

		bool HasAudio();

		int GetAudioTrackCount();

		string GetAudioTrackId(int index);

		string GetCurrentAudioTrackId();

		int GetCurrentAudioTrackBitrate();

		int GetVideoTrackCount();

		string GetVideoTrackId(int index);

		string GetCurrentVideoTrackId();

		int GetCurrentVideoTrackBitrate();

		string GetPlayerDescription();

		bool PlayerSupportsLinearColorSpace();

		bool IsPlaybackStalled();

		float[] GetTextureTransform();
	}
}
